dnl -*- html -*-
define(__title, `How I do my Computing')dnl
define(__pub, 2019-09-14T12:00:00Z)dnl
define(__upd, 2021-02-28T12:00:00Z)dnl
define(__id, 1)dnl
include(header.html)dnl

<p class="box">inspired by the computing page of
<a href="https://stallman.org/stallman-computing.html">rms</a></p>

<h2>Computers</h2>
<p>My <a href="https://libreboot.org">librebooted</a> ThinkPad X200
computer is the machine I use the most and where I do most of my
computing.  I also have the privilege of having access to a fleet of
servers through our school's
<a href="https://csclub.uwaterloo.ca">Computer Science Club</a> that I
use for some more computationally intensive tasks every now and again,
and also for hosting this very website.</p>

<h2>GNU/Linux distribution</h2>
<p>I used a wide variety of distros over the years; but I have since
found <a href="https://trisquel.info">Trisquel</a> to be my favourite
and it's put my "distro-hopping" days behind me.  Sometimes I pair it
up with <a href="https://guix.gnu.org">GNU Guix</a>.  For the kernel,
I usually use
<a href="https://www.fsfla.org/ikiwiki/selibre/linux-libre/">GNU
Linux-libre</a> from jxself's
<a href="https://jxself.org/linux-libre/">APT repository</a>.</p>

<h2>Actual computing</h2>
<p>I spend most of my time in
<a href="https://www.gnu.org/software/emacs/">GNU Emacs</a>.</p>
<p>TODO: elaborate</p>

<h2 id="colophon">Maintaining this site __anc(`colophon')</h2>
<p>I took a great amount of inspiration
from <a href="https://technomancy.us/colophon">technomancy</a>'s
setup.  The pages of this site are written in plain HTML using GNU
Emacs, with GNU M4 acting as a full-featured template engine.
A <a href="__p/GNUmakefile"><code>GNUmakefile</code></a> provides
convenient <code>make</code> rules to build and publish the site.  The
bibliography of my <a href="__p/publications.html">publications</a> is
generated from <a href="__p/bandali.bib"><code>bandali.bib</code></a>
using <a href="https://www.lri.fr/~filliatr/bibtex2html/">bibtex2html</a>,
and further processed and put together using GNU sed and
another <code>GNUmakefile</code>.  The git repository containing all
the sources used to build this site are available
<a href="https://git.shemshak.org/~bandali/site">here</a>.</p>

define(__copy, `2019, 2020')dnl
include(footer.html)dnl
