dnl -*- html -*-
define(__title, `My internship with the FSF tech team and beyond')dnl
define(__pub, 2020-12-18T15:31:00-04:00)dnl
define(__id, 3)dnl
include(header.html)dnl

<p class="box">Originally published on the Free Software Foundation's
sysadmin blog:<br/>
<a href="https://www.fsf.org/blogs/sysadmin/my-internship-with-the-fsf-tech-team-and-beyond">My internship with the FSF tech team and beyond</a>.</p>

<p>Hello!  I'm
<a href="https://www.fsf.org/blogs/sysadmin/introducing-bandali-intern-with-the-fsf-tech-team">Amin Bandali</a>,
and this is my second blog post on the FSF sysadmin blog, concluding
my internship with the FSF tech team this year.</p>

<p>Throughout my internship with the tech team, I have worked mainly
on sysadmin tasks related to setting up and/or managing FSF's
GNU/Linux servers.  Perhaps most significantly, I set up an instance
of the <a href="https://sourcehut.org">Sourcehut</a> forge software to
help
<a href="https://libreplanet.org/wiki/FSF_2020_forge_evaluation">evaluate</a>
it as a candidate for the upcoming
<a href="https://www.fsf.org/blogs/sysadmin/coming-soon-a-new-site-for-fully-free-collaboration">FSF forge project</a>.
I documented the installation and setup process of Sourcehut's various
components in the form of a literate GNU Emacs Org-mode file, where
source blocks are interspersed with comments and prose explaining
them.  One can then progressively evaluate and execute the source
blocks, and optionally have their results stored back in the Org file
itself to help with documentation/demonstration.</p>

<p>I have also been slowly working on various improvements for the
server running www.gnu.org, and will continue doing work on it as a
volunteer after the end of my internship.  This will hopefully be
beneficial to the FSF sysadmins running the server, the GNU webmasters
who do webmastering work on gnu.org, and the general public browsing
and using gnu.org's pages.  Notably, changes included upgrading the
server to the latest release of Trisquel GNU/Linux, and revamping and
improving the search mechanism for gnu.org's pages.  Additionally,
there are several other projects that I would like to tackle with the
tech team in the near future.</p>

<p>During my internship with the FSF tech team, I picked up a variety
of new skills and learned more about a diverse set of topics and
tools.  This included building and installing a complex piece of
software like Sourcehut and debugging issues encountered along the
way, using Ansible for managing and deploying infrastructure, as well
as learning more about the Exim mail transfer agent used to run FSF
and GNU's array of mail servers.</p>

<p>In conclusion to my internship and the year 2020, it's safe to say
that this year has been an eventful year for many people, including
myself.  I started my internship with the tech team back in May, and
as a graduate student at the time, I was expecting a reasonable and
balanced workload for my work on my thesis over the coming months.
However, early on (less than two weeks) into my internship I learned
that due to a number of reasons, I needed to complete my master's
studies on a two-month deadline.  I told the tech team about the
issue, asking whether I could take a hiatus to complete my studies
without affecting my internship.  I am beyond thankful to the tech
team and the FSF as whole for being accommodating, and for their
flexibility in allowing me to take a leave to focus on writing my
thesis and wrapping up my master's studies.  I managed to successfully
wrap up my studies in that short timeline, and focus on my internship
afterwards.</p>

<p>However, all good things must come to an end, and this internship
is no exception.  I am incredibly grateful to the members of the FSF
tech team -- Ian, Andrew, Ruben, and Michael -- for welcoming me to
the team as an intern and mentoring me, answering my many questions,
and helping me learn more.  It has been an honour and a wonderful
experience for me all around working with you all and seeing the
energy and passion with which you take on the work and
responsibilities that come with being an FSF sysadmin and Web
developer.  While most of my interactions were with the tech team, I
also got to interact with FSF staffers from several other teams during
my internship, and I'm thankful for our conversations and the chance
to get to know and appreciate the important work you do.</p>

<p>This internship has come to an end, but I will carry with me all of
the good memories and the lessons I learned along the way, and will
happily to continue working with you as a volunteer.  The things I
learned have been invaluable and greatly helpful to me, as I
transitioned into my new full-time job at Savoir-faire Linux as a Free
Software Consultant, where I get to work on various parts and aspects
of Jami, a GNU package for universal communication which respects the
freedoms and privacy of its users.</p>

<p>I would like to thank the FSF for providing me this excellent
opportunity to work alongside the tech team as an intern, and take
away so many valuable lessons and great memories.</p>

<p class="box">Interested in interning for the Free Software
Foundation?  The application period for spring 2021 internships is
currently open.  Please see
<a href="https://www.fsf.org/volunteer/internships">https://www.fsf.org/volunteer/internships</a>
for more details and information on how to apply!</p>

define(__copy, `2020')dnl
include(footer.html)dnl
